﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace WindowsFormsApplication45
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.Meter;
            winformsMap1.ZoomLevelSet = new ZoomLevelSet();

            winformsMap1.ZoomLevelSet.ZoomLevel01.Scale = 1000;

            winformsMap1.ZoomLevelSet.ZoomLevel02.Scale = 2000;

            winformsMap1.ZoomLevelSet.ZoomLevel03.Scale = 5000;

            winformsMap1.ZoomLevelSet.ZoomLevel04.Scale = 7500;

            winformsMap1.ZoomLevelSet.ZoomLevel05.Scale = 10000;

            winformsMap1.ZoomLevelSet.ZoomLevel06.Scale = 15000;

            winformsMap1.ZoomLevelSet.ZoomLevel07.Scale = 20000;

            winformsMap1.ZoomLevelSet.ZoomLevel08.Scale = 25000;

            winformsMap1.ZoomLevelSet.ZoomLevel09.Scale = 50000;

            winformsMap1.ZoomLevelSet.ZoomLevel10.Scale = 75000;

            winformsMap1.ZoomLevelSet.ZoomLevel11.Scale = 100000;

            winformsMap1.ZoomLevelSet.ZoomLevel12.Scale = 125000;

            winformsMap1.ZoomLevelSet.ZoomLevel13.Scale = 150000;

            winformsMap1.ZoomLevelSet.ZoomLevel14.Scale = 175000;

            winformsMap1.ZoomLevelSet.ZoomLevel15.Scale = 200000;

            winformsMap1.ZoomLevelSet.ZoomLevel16.Scale = 250000;

            winformsMap1.ZoomLevelSet.ZoomLevel17.Scale = 300000;

            winformsMap1.ZoomLevelSet.ZoomLevel18.Scale = 400000;

            winformsMap1.ZoomLevelSet.ZoomLevel19.Scale = 500000;

            winformsMap1.ZoomLevelSet.ZoomLevel20.Scale = 1000000;

            winformsMap1.MaximumScale = 1000000;

            winformsMap1.MinimumScale = 1000;



            //create a overlay with a line feature

            TrackInteractiveOverlay featureOverlay = new TrackInteractiveOverlay();
            featureOverlay.TrackMode = TrackMode.Line;

            List<Vertex> LineSegmentPoints = new List<Vertex>();

            LineSegmentPoints.Add(new Vertex(150, 150));

            LineSegmentPoints.Add(new Vertex(900, 3000));

            Feature f = new Feature(new LineShape(LineSegmentPoints));

            featureOverlay.TrackShapeLayer.InternalFeatures.Add(f);

            winformsMap1.Overlays.Add(featureOverlay);



            winformsMap1.CurrentExtent = new RectangleShape(0, 1000, 1000, 0);

            winformsMap1.Refresh();
        }

        private void winformsMap1_MapClick(object sender, MapClickWinformsMapEventArgs e)
        {
            TrackInteractiveOverlay featureOverlay = (sender as WinformsMap).Overlays[0] as TrackInteractiveOverlay;
            LineShape line = featureOverlay.TrackShapeLayer.InternalFeatures[0].GetShape() as LineShape;
            line.Vertices.Add(new Vertex(e.WorldX, e.WorldY));

            featureOverlay.TrackShapeLayer.InternalFeatures.Clear();
            featureOverlay.TrackShapeLayer.InternalFeatures.Add(new Feature(line));
            winformsMap1.Refresh();
        }

    }
}
